User¶
View your user account¶
GET /api/users
OAuth authorization required: profile_read
Schema
user: Objectid: Integerfname: Stringlname: Stringemail: Stringphone: Stringaddress1: Stringaddress2: Stringcity: Stringcompany_name: Stringcountry: Stringtimezone: Stringcurrency: Objectcode: Stringsymbol: String
c_sftp_pass: Boolean - Enable SFTP Auth on all new projects.zip: Stringvat: Stringstate: Stringlocale: Stringcreated_at: DateTimeupdated_at: DateTimebilling_plan: Objectid: Integername: String
services: Objectprojects: Integercontainers: Integercontainer_services: Integercontainer_images: Integercontainer_registries: Integerdns_zones: Integer
quota: Object{{kind}}: Objectcurrent: Integerquota: Integeris_over: Booleanavailable: Integer
unprocessed_usage: Decimal | The amount the user has accrued, but not yet transferred to the billing system for billing.
Example
{
"user": {
"id": 1,
"fname": "John",
"lname": "Doe",
"email": "john@example.com",
"phone": null,
"address1": null,
"address2": null,
"city": null,
"company_name": null,
"country": "US",
"timezone": "America/Los_Angeles",
"currency": {
"code": "USD",
"symbol": "$"
},
"zip": null,
"vat": null,
"state": null,
"locale": "en",
"created_at": "2019-04-04T07:36:50.637Z",
"updated_at": "2019-09-19T19:16:07.155Z",
"billing_plan": {
"id": 1,
"name": "default"
},
"services": {
"projects": 0,
"containers": 0,
"container_services": 0,
"container_images": 1,
"container_registries": 0,
"dns_zones": 0
},
"quota": {
"containers": {
"current": 0,
"quota": 250,
"is_over": false,
"available": 250
},
"cr": {
"current": 0,
"quota": 20,
"is_over": false,
"available": 20
},
"dns_zones": {
"current": 0,
"quota": 250,
"is_over": false,
"available": 250
}
},
"unprocessed_usage": 0.0
}
}
Update your user account¶
PATCH /api/users
OAuth authorization required: profile_update
Schema
user: Objectfname: Stringlname: Stringemail: Stringlocale: String | locale code (example:en)city: Stringstate: Stringzip: Stringc_sftp_pass: Booleancountry: String | Should be in the 2 digit format, e.g. US, CA, NL, etc.address1: Stringaddress2: Stringcompany_name: Stringphone: Stringcurrency: Stringmerge_labels: Object
Create New User¶
POST /api/users
OAuth authorization required: register
This is a special endpoint for use in conjunction with our embeddable interface. Users are not expected to be able to login directly after signup.
- Only available using the
registerscope. - This will automatically generate api credentials
- This will not send an email confirmation
- If no email is provided, or if the email is already in use, this will generate a unique email address
Schema
user: Objectfname: String (required)lname: String (required)email: Stringlocale: String | locale code (example:en)city: Stringstate: Stringzip: Stringc_sftp_pass: Booleancountry: String | Should be in the 2 digit format, e.g. US, CA, NL, etc.address1: Stringaddress2: Stringcompany_name: Stringphone: Stringcurrency: Stringmerge_labels: Objectprovider_server: String (required) | The url or unique server name of the provider's server. This is used to scope the username.provider_username: String (required) | the user's username on the server.